Last Comment Bug 621565 - Push Firefox Input 2.2 to production
: Push Firefox Input 2.2 to production
Status: VERIFIED FIXED
12/28/2010 @ 4pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-27 11:33 PST by Fred Wenzel [:wenzel]
Modified: 2013-10-09 10:29 PDT (History)
10 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Fred Wenzel [:wenzel] 2010-12-27 11:33:01 PST
We need a push of input.stage.mozilla.com to production.

Please run:

/root/bin/input_update.sh
Comment 1 Fred Wenzel [:wenzel] 2010-12-27 11:33:42 PST
Only change is this update of known manufacturers and devices:

https://github.com/fwenzel/reporter/commit/a36c360f1d64d41727592a0d629d37748016626c

Downtime needed: no.
Sphinx updates: no.
Comment 2 matthew zeier [:mrz] 2010-12-27 11:38:52 PST
When do you want to do this?
Comment 3 Fred Wenzel [:wenzel] 2010-12-27 11:46:09 PST
Is tomorrow's window convenient? Otherwise, Thursday works as well.
Comment 4 Fred Wenzel [:wenzel] 2010-12-28 15:30:04 PST
Who will be picking this up in half an hour?
Comment 5 Jeremy Orem [:oremj] 2010-12-28 15:31:48 PST
I can take it. The AMO push is also at 4, so i'll do that one first.
Comment 6 Fred Wenzel [:wenzel] 2010-12-28 15:39:40 PST
Thanks. This push is simple[TM], so let me know when you are ready.
Comment 7 Jeremy Orem [:oremj] 2010-12-28 16:34:59 PST
[root@mradm02 bin]# ./input_update.sh 
Updating vendor...
remote: Counting objects: 1554, done.
remote: Compressing objects: 100% (814/814), done.
remote: Total 873 (delta 53), reused 869 (delta 49)
Receiving objects: 100% (873/873), 1.86 MiB | 1.26 MiB/s, done.
Resolving deltas: 100% (53/53), completed with 38 local objects.
From git://github.com/fwenzel/reporter-lib
   ec2b0e2..65ab1a7  master     -> origin/master
Updating ec2b0e2..65ab1a7
Fast-forward
Updating reporter...
remote: Counting objects: 245, done.
remote: Compressing objects: 100% (111/111), done.
remote: Total 182 (delta 113), reused 136 (delta 69)
Receiving objects: 100% (182/182), 109.12 KiB, done.
Resolving deltas: 100% (113/113), completed with 45 local objects.
From git://github.com/fwenzel/reporter
 + ed68c20...a380150 infinity   -> origin/infinity  (forced update)
 + 5aed9c8...089c81a last_known_good -> origin/last_known_good  (forced update)
   089c81a..347c579  master     -> origin/master
   089c81a..14330fd  prod       -> origin/prod
 * [new tag]         2.2        -> 2.2
Previous HEAD position was 089c81a... Do not throw AssertionError if page <= 0 is requested. Bug 620296.
HEAD is now at 14330fd... Filter out Mobile versions below 4.0b1. Bug 611883.
WARNING:product_details:Requested product details file firefox_versions not found!
WARNING:product_details:Requested product details file mobile_details not found!
/data/input/www /data/input
[master 52023b4] deploy input
 9 files changed, 63 insertions(+), 23 deletions(-)
 rewrite django/input.mozilla.com/reporter/apps/input/__init__.py (97%)
 rewrite django/input.mozilla.com/reporter/apps/input/__init__.pyc (99%)
 delete mode 100644 django/input.mozilla.com/reporter/migrations/sites/schematic_settings.pyc
/data/input
From git://mradm02/data/input/www
   a8ae948..52023b4  master     -> origin/master
===pp-app-input02===

===pp-app-input01===

Restart Apache? [y/n] y
Warning: DocumentRoot [/data/www/default] does not exist
Warning: DocumentRoot [/data/www/default] does not exist
Warning: DocumentRoot [/data/www/default] does not exist
Warning: DocumentRoot [/data/www/default] does not exist
httpd: Could not reliably determine the server's fully qualified domain name, using pp-app-input02.phx.mozilla.com for ServerName
===pp-app-input01===

===pp-app-input02===
Comment 8 Stephen Donner [:stephend] 2010-12-28 23:07:30 PST
Verified FIXED; the fixes/features we deployed are in.  We're now looking at bug 620845, separately.

Note You need to log in before you can comment on or make changes to this bug.